# Generated by Django 4.0.4 on 2022-09-08 13:50

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('backend', '0012_alter_transfertmode_name'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='transfertmode',
            name='flow_type',
        ),
        migrations.AddField(
            model_name='transfertmode',
            name='form_action',
            field=models.CharField(choices=[('methodo1', 'Methodology 1'), ('methodo2', 'Methodology 2'), ('subform', 'Subform'), ('print', 'Text print')], default='methodo1', max_length=10),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='transfertmode',
            name='form_text',
            field=models.CharField(blank=True, max_length=250, null=True),
        ),
        migrations.AddField(
            model_name='transfertmode',
            name='resources',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('surface', 'Eau surface'), ('souterrain', 'Eau souterrain')], max_length=10), default='{sur}', size=None),
            preserve_default=False,
        ),
    ]
